# $Revision: 1.9 $, $Date: 2006/07/26 19:29:03 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CAST5
Summary:	Crypt::CAST5 - CAST5 block cipher implementation in C
Summary(pl):	Crypt::CAST5 - implementacja szyfru blokowego CAST5 w C
Name:		perl-Crypt-CAST5
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f4a876c68885950d5df3c30ede634787
URL:		http://search.cpan.org/dist/Crypt-CAST5/
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.47}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an implementation of the CAST5 block cipher using
compiled C code for increased speed. CAST5 is also known as CAST-128.
It is a product of the CAST design procedure developed by C. Adams and
S. Tavares.

%description -l pl
Ten modu zawiera implementacj szyfru blokowego CAST5 w postaci
skompilowanego kodu C, aby zapewni wiksz szybko. CAST5 jest znany
take jako CAST-128. Jest to produkt projektu CAST tworzonego przez C.
Adamsa i S. Tavaresa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/CAST5.pm
%dir %{perl_vendorarch}/auto/Crypt/CAST5
%{perl_vendorarch}/auto/Crypt/CAST5/CAST5.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/CAST5/CAST5.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-CAST5.spec,v $
Revision 1.9  2006/07/26 19:29:03  glen
- 0.05, generic URL

Revision 1.8  2004/11/03 22:30:11  paladine
- formatting

Revision 1.7  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.6  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.5  2004/04/20 23:07:06  ankry
- new bcond fixes

Revision 1.4  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.3  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.2  2004/03/06 22:24:32  adamg
- updated to 0.04

Revision 1.1  2003/06/17 22:22:49  qboosh
- new

